## explain

### Use

You can use this DBM command to display the explanatory text of a number of other DBM commands.

By specifying options, you can change the display of this list.

See also:

DBM Commands

### Prerequisites

You do not need to log on to the Database Manager as an operator to execute this DBM command.

### Syntax

explain <dbm_command> <display_spec>

<display_spec> :: = <command_option> [-nolinewrap | -longinfo]

Options

Option | Description
<dbm_command> | DBM command
<command_option> | Command option for this command whose text you want to display
-nolinewrap | Suppresses line breaks in explanatory text
-longinfo | Only relevant for programming DBM client programs: Displays a long text concerning allowed values

### Reply

OK

<explain_text>

<explain_text> | Explanatory text

### Examples

Call the Database Manager CLI, display the complete explanatory text for the DBM command auto_extend:

>dbmcli explain auto_extend

OK

With this command, the database instance can be configured to automatically

create new data volumes, when the degree of filling reaches a certain limit.

Size and location of the new data volume are determined as explained in

DBMServer command db_addvolume.

Preconditions:

You have the server authorization ParamFull or AccessUtility.

Syntax:

auto_extend <mode> [<percentage>]

Options:

<mode>

New mode for the database. Possible values are:

ON activate automatic database extension

OFF deactivate automatic database extension

SHOW show current status of automatic database extension

<percentage>

Limit of degree of filling of the database instance, at which a new

data volume should be added. 1 <= <percentage> <= 100 must be true.

Default is 90. Use only with <mode> ON.

Reply:

OK

[ON <percentage>|OFF[, <reason>]|UNKNOWN]

Meaning of the individual fields of the reply:

ON

Automatic database extension is activated (only if <mode> is SHOW).

<percentage> is the actual degree of filling of the database

instance, at which a new data volume is added in the current

configuration.

OFF

Automatic database extension is deactivated (only if <mode> is

SHOW)

UNKNOWN

Status of automatic database extension is unknown (only if <mode>

is SHOW)

Call the Database Manager CLI, display the explanatory text for the command option percentage for the DBM command auto_extend:

>dbmcli explain auto_extend percentage

OK

Limit of degree of filling of the database instance, at which a new data volume should be added. 1 <= <percentage> <= 100 must be true. Default is 90. Use only with <mode> ON.